Package org.apache.ignite.mxbean

## Interface DefragmentationMXBean

-     @Deprecated
      @MXBeanDescription("MBean that provides access for defragmentation features.")
      public interface DefragmentationMXBean

  Deprecated.
  Use managements API beans, instead.
  JMX bean for defragmentation manager.
  See Also:
    `CommandMBean`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `cancel()` | Deprecated. Cancel defragmentation.
    `boolean` | `inProgress()` | Deprecated. Get defragmentation status.
    `int` | `processedPartitions()` | Deprecated. Get count of processed partitions.
    `boolean` | `schedule​(String cacheNames)` | Deprecated. Schedule defragmentation for given caches.
    `long` | `startTime()` | Deprecated. Get defragmentation's start time.
    `int` | `totalPartitions()` | Deprecated. Get total count of partitions.

- - ### Method Detail

    - #### schedule

          @MXBeanDescription("Schedule defragmentation.")
          boolean schedule​(@MXBeanParameter(name="cacheNames",description="Names of caches to run defragmentation on.")
                           String cacheNames)

      Deprecated.
      Schedule defragmentation for given caches.
      Parameters:
        `cacheNames` - Names of caches to run defragmentation on, comma separated.
      Returns:
        `true` if defragmentation is scheduled, `false` otherwise.

    - #### cancel

          @MXBeanDescription("Cancel current defragmentation.")
          boolean cancel()

      Deprecated.
      Cancel defragmentation.
      Returns:
        `true` if defragmentation was canceled, `false` otherwise.

    - #### inProgress

          @MXBeanDescription("Cancel current defragmentation.")
          boolean inProgress()

      Deprecated.
      Get defragmentation status.
      Returns:
        `true` if defragmentation is in progress right now.

    - #### processedPartitions

          @MXBeanDescription("Processed partitions.")
          int processedPartitions()

      Deprecated.
      Get count of processed partitions.
      Returns:
        `true` if defragmentation is in progress right now.

    - #### totalPartitions

          @MXBeanDescription("Total partitions.")
          int totalPartitions()

      Deprecated.
      Get total count of partitions.
      Returns:
        `true` if defragmentation is in progress right now.

    - #### startTime

          @MXBeanDescription("Start time.")
          long startTime()

      Deprecated.
      Get defragmentation's start time.
      Returns:
        `true` if defragmentation is in progress right now.